Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javafx.newt
Class NewtFactory

    java.lang.Object
      com.sun.javafx.newt.NewtFactory

    public abstract class NewtFactory

extends Object

Field Summary
`static String` | `TYPE_BROADCOM_EGL`

Constructor Summary
`NewtFactory()`

Method Summary
`static Display` | `createDisplay(String name)` Create a Display entity, incl native creation
`static Display` | `createDisplay(String type, String name)` Create a Display entity using the given implementation type, incl native creation
`static Screen` | `createScreen(Display display, int index)` Create a Screen entity, incl native creation
`static Screen` | `createScreen(String type, Display display, int index)` Create a Screen entity using the given implementation type, incl native creation
`static Window` | `createWindow(long parentWindowHandle, Screen screen, Capabilities caps, boolean undecorated)`
`static Window` | `createWindow(Object[] cstrArguments, Screen screen, Capabilities caps, boolean undecorated)` Ability to try a Window type with a construnctor argument, if supported ..
`static Window` | `createWindow(Screen screen, Capabilities caps)` Create a Window entity, incl native creation
`static Window` | `createWindow(Screen screen, Capabilities caps, boolean undecorated)`
`static Window` | `createWindow(String type, long parentWindowHandle, Screen screen, Capabilities caps, boolean undecorated)`
`static Window` | `createWindow(String type, Object[] cstrArguments, Screen screen, Capabilities caps, boolean undecorated)`
`static Window` | `createWindow(String type, Screen screen, Capabilities caps)` Create a Window entity using the given implementation type, incl native creation
`static Window` | `createWindow(String type, Screen screen, Capabilities caps, boolean undecorated)`
`static Display` | `wrapDisplay(String name, AbstractGraphicsDevice device)` Instantiate a Display entity using the native handle.
`static Screen` | `wrapScreen(Display display, AbstractGraphicsScreen screen)` Instantiate a Screen entity using the native handle.
`static Window` | `wrapWindow(Screen screen, AbstractGraphicsConfiguration config, long windowHandle, boolean fullscreen, boolean visible, int x, int y, int width, int height)` Instantiate a Window entity using the native handle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_BROADCOM_EGL

    public static final String TYPE_BROADCOM_EGL

See Also:
  Constant Field Values

Constructor Detail

### NewtFactory

    public NewtFactory()

Method Detail

### createDisplay

    public static Display createDisplay(String name)

  Create a Display entity, incl native creation

### createDisplay

    public static Display createDisplay(String type,
                                        String name)

  Create a Display entity using the given implementation type, incl native creation

### createScreen

    public static Screen createScreen(Display display,
                                      int index)

  Create a Screen entity, incl native creation

### createScreen

    public static Screen createScreen(String type,
                                      Display display,
                                      int index)

  Create a Screen entity using the given implementation type, incl native creation

### createWindow

    public static Window createWindow(Screen screen,
                                      Capabilities caps)

  Create a Window entity, incl native creation

### createWindow

    public static Window createWindow(Screen screen,
                                      Capabilities caps,
                                      boolean undecorated)

### createWindow

    public static Window createWindow(long parentWindowHandle,
                                      Screen screen,
                                      Capabilities caps,
                                      boolean undecorated)

### createWindow

    public static Window createWindow(Object[] cstrArguments,
                                      Screen screen,
                                      Capabilities caps,
                                      boolean undecorated)

  Ability to try a Window type with a construnctor argument, if supported ..

  Currently only valid is `AWTWindow(Frame frame)` , to support an external created AWT Frame, ie the browsers embedded frame.

### createWindow

    public static Window createWindow(String type,
                                      Screen screen,
                                      Capabilities caps)

  Create a Window entity using the given implementation type, incl native creation

### createWindow

    public static Window createWindow(String type,
                                      Screen screen,
                                      Capabilities caps,
                                      boolean undecorated)

### createWindow

    public static Window createWindow(String type,
                                      long parentWindowHandle,
                                      Screen screen,
                                      Capabilities caps,
                                      boolean undecorated)

### createWindow

    public static Window createWindow(String type,
                                      Object[] cstrArguments,
                                      Screen screen,
                                      Capabilities caps,
                                      boolean undecorated)

### wrapDisplay

    public static Display wrapDisplay(String name,
                                      AbstractGraphicsDevice device)

  Instantiate a Display entity using the native handle.

### wrapScreen

    public static Screen wrapScreen(Display display,
                                    AbstractGraphicsScreen screen)

  Instantiate a Screen entity using the native handle.

### wrapWindow

    public static Window wrapWindow(Screen screen,
                                    AbstractGraphicsConfiguration config,
                                    long windowHandle,
                                    boolean fullscreen,
                                    boolean visible,
                                    int x,
                                    int y,
                                    int width,
                                    int height)

  Instantiate a Window entity using the native handle.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.